Subject: RE: B18&17.1 problem reading large files (more than 28k!) with read() or fread()
From: [email-masked] (Sergey Okhapkin)

18 May 1997 02:54:46 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC6385.D63578C0.cygnus.gnu-win32@sos>
Original-To: "[email-masked]" <[email-masked]>,
        "'Paul Toseland'"
	 <[email-masked]>
Encoding: 13 TEXT
Original-Sender: [email-masked]

Paul Toseland wrote:
> I stat a file (a Net$cape FAT.DB), using its DOS filename, and it tells
> me it is 692224 bytes long.  I open it, fstat it, with the same result. 
> I read from it, it reads 28720 bytes and gives end of file.  The same

> 	int handle = open(s1, O_RDONLY);

int handle = open(s1, O_RDONLY | O_BINARY);

-- 
Sergey Okhapkin
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".